Skip to main content
`Ctrl`+`K`

# slepc4py.SLEPc.DS.StateType

class slepc4py.SLEPc.DS.StateType

  Bases: `object`

  DS state types.

  - `RAW`: Not processed yet.

  - `INTERMEDIATE`: Reduced to Hessenberg or tridiagonal form (or equivalent).

  - `CONDENSED`: Reduced to Schur or diagonal form (or equivalent).

  - `TRUNCATED`: Condensed form truncated to a smaller size.

  Attributes Summary

  `CONDENSED` | Constant `CONDENSED` of type `int`
  `INTERMEDIATE` | Constant `INTERMEDIATE` of type `int`
  `RAW` | Constant `RAW` of type `int`
  `TRUNCATED` | Constant `TRUNCATED` of type `int`

  Attributes Documentation

  CONDENSED: int = CONDENSED

    Constant `CONDENSED` of type `int`

  INTERMEDIATE: int = INTERMEDIATE

    Constant `INTERMEDIATE` of type `int`

  RAW: int = RAW

    Constant `RAW` of type `int`

  TRUNCATED: int = TRUNCATED

    Constant `TRUNCATED` of type `int`